# AIEventEngineAvailable Class Reference

Event Engine Available, indicating a new engine is available. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventEngineAvailable:

## Public Member Functions
| AIEventEngineAvailable (EngineID engine)
EngineID | GetEngineID ()
| Get the EngineID of the new engine.
## Static Public Member Functions
static const char * | GetClassName ()
static AIEventEngineAvailable * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
EngineID | engine

## Detailed Description

Event Engine Available, indicating a new engine is available.

Definition at line 649 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventEngineAvailable::AIEventEngineAvailable | ( | EngineID | engine | ) | `[inline]`

Parameters:

  | engine | The engine that is available.

Definition at line 656 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventEngineAvailable* AIEventEngineAvailable::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 666 of file ai_event_types.hpp.

EngineID AIEventEngineAvailable::GetEngineID | ( |  | ) | `[inline]`

Get the EngineID of the new engine.

Returns:
  The EngineID of the new engine.

Definition at line 672 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp